# PrimitiveNumber Class Reference
[Base data types used in Form, Classes implemented in PHP's extension.]

Inheritance diagram for PrimitiveNumber:
[legend]

List of all members.

## Public Member Functions

| import ($scope)

## Protected Member Functions

| checkNumber ($number)
| castNumber ($number)

## Detailed Description

Definition at line 16 of file PrimitiveNumber.class.php.

## Member Function Documentation

PrimitiveNumber::castNumber | ( | $ | number | ) | `[abstract, protected]`

Reimplemented in IdentifiablePrimitive, PrimitiveFloat, and PrimitiveInteger.

Referenced by import().

PrimitiveNumber::checkNumber | ( | $ | number | ) | `[abstract, protected]`

Reimplemented in IdentifiablePrimitive, PrimitiveFloat, and PrimitiveInteger.

Referenced by import().

PrimitiveNumber::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveEnumeration, PrimitiveEnumerationByValue, PrimitiveEnumerationList, PrimitiveIdentifier, PrimitiveIdentifierList, and PrimitivePolymorphicIdentifier.

Definition at line 21 of file PrimitiveNumber.class.php.

References castNumber(), checkNumber(), BasePrimitive::import(), and FiltrablePrimitive::selfFilter().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveNumber.class.php